Last modified: 2014-02-12 18:43:53 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 16614 - subcat count > 0 for cats with no subcats on dewiki
subcat count > 0 for cats with no subcats on dewiki
Status: RESOLVED WORKSFORME
Product: Wikimedia
Classification: Unclassified
General/Unknown (Other open bugs)
unspecified
All All
: Low major with 2 votes (vote)
: ---
Assigned To: Nobody - You can work on this!
aklapper-moreinfo
: testme
Depends on:
Blocks: 16660
  Show dependency treegraph
 
Reported: 2008-12-11 09:03 UTC by merl
Modified: 2014-02-12 18:43 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description merl 2008-12-11 09:03:46 UTC
The Api request http://de.wikipedia.org/w/api.php?action=query&generator=categorymembers&gcmtitle=Category:See_in_Europa&gcmnamespace=14&prop=categoryinfo returns
<page pageid="1855081" ns="14" title="Kategorie:Stausee in Europa">
 <categoryinfo size="563" pages="562" files="0" subcats="1" />
</page>
but category "Stausee in Europa" has no subcats. Same with [[:de:Kategorie:Vorlage:Babel-Herkunft]].

You easily can see that bug at http://de.wikipedia.org/w/index.php?title=Spezial:Kategorienbaum&target=Stausee+in+Europa+&mode=categories&dotree=Laden or http://de.wikipedia.org/w/index.php?title=Spezial:Kategorienbaum&target=Vorlage%3ABabel-Herkunft&mode=categories&dotree=Laden
1 K (= 1 expected subcategory) mentioned in brakets but no subcats are listed.
Comment 1 Aryeh Gregor (not reading bugmail, please e-mail directly) 2008-12-16 00:30:13 UTC
Need to refine the check on category pages to also make sure that zero counts match up with the category table, probably.  I'm guessing it currently only checks against the category table count if the correct count is nonzero.
Comment 2 Aryeh Gregor (not reading bugmail, please e-mail directly) 2008-12-16 01:52:40 UTC
Re dependency on 16660: this should really be fixed so that it doesn't happen again/automatically fixes itself, not just by running a script on Wikimedia.
Comment 3 Brion Vibber 2008-12-16 02:02:24 UTC
Many of those things require both. ;)
Comment 4 Guandalug 2009-07-27 18:56:39 UTC
By the way, the same problem appears for Kategories that claim to have one file in 'em, but are in fact empty. Seems to be a related bug. 
Comment 5 Andre Klapper 2013-03-13 12:23:51 UTC
(In reply to comment #0)
> http://de.wikipedia.org/w/api.
> php?action=query&generator=categorymembers&gcmtitle=Category:
> See_in_Europa&gcmnamespace=14&prop=categoryinfo


The URL does not provide that output anymore:
<api>
  <query-continue>
    <categorymembers gcmcontinue="page|214c4953544520444552205345454e20494e204f5354455252454943480a4c4953544520444552205345454e20494e20c396535445525245494348|177702" />
  </query-continue>
</api>

merl: How to test if this is still a problem?
Comment 6 Andre Klapper 2014-02-12 18:43:53 UTC
Unfortunately closing this report as no testcase is available (anymore).

merl: Please feel free to reopen this report if you can provide the information asked for and if this still happens. Thanks!

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links